DB2 version not supported error returned during the installation of IBM® InfoSphere® Data Replication (IIDR) - CDC 10.2 bundled in DB2 Advanced Enterprise Server Edition (AESE) V10.5 GA and DB2 Advanced Workgroup Server Edition (AWSE) V10.5 GA

Flash (Alert)


InfoSphere Data Replication - CDC 10.2 which is bundled in the GA release of IBM® DB2® Version 10.5 for Linux, UNIX, and Windows will fail with a database version error



IIDR - CDC 10.2 bundled in DB2 V10.5 GA AESE and AWSE fails to start with the following event:
"IBM InfoSphere Change Data Capture detected that the database version is 10.5. The latest supported version of the database by IBM InfoSphere Change Data Capture is 10.1."

DB2 included the most recent release of IIDR - CDC 10.2 (released on June 8, 2013) which has a verification check of the db2level. Since DB2 V10.5 GA did not exist during that time (released on June 14, 2013), an error is returned.

Users Affected:
DB2 V10.5 GA Advanced Enterprise Server Edition and Advanced Workgroup Server Edition customers using IIDR - CDC 10.2

There is no workaround for this issue.

If you have already downloaded DB2 V10.5 GA and are encountering the symptoms as described in the technote,
Download IIDR - CDC 10.2 Interim Fix 2 using the below steps to fix the problem:

  • Download Interim Fixes for IIDR - CDC 10.2 for DB2 V10.5 from here
  • Select "Category: ISCDC_DB2LUW Release: 10.2"
  • Select the OS.
  • Select InterimFix2 for DB2.

Document information

More support for:

DB2 for Linux, UNIX and Windows

Software version:


Operating system(s):

AIX, HP-UX, Linux, Solaris, Windows

Software edition:

Advanced Enterprise Server, Workgroup Server

Reference #:


Modified date:


Translate my page

Content navigation